[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomTrayIcon.Hide

Removes the icon from the System Tray.

## Declaration

Source position: extctrls.pp line 1450

`public function TCustomTrayIcon.Hide: Boolean;`

## Description

Hide is a Boolean function used to hide the tray icon and to remove it from the tray area in the task bar.

No actions are performed in the method when Visible is set to False, or at design-time, or when the component is loaded from the LCL streaming mechanism.

Hide sets the value in the Visible property to False, and calls the namesake method in the WidgetSetClass. The internal animation timer for the tray icon is also disabled in the method.

The return value is True when the tray icon is successfully hidden. For other conditions, the return value is False.

## See also

TCustomTrayIcon.Visible |  | Indicates if the tray icon is displayed in the system tray.
TComponent.ComponentState